Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.mux
Interface MuxProtocolHandler

All Known Implementing Classes:
  MuxHttpHandler, Echo, Discard

public abstract interface MuxProtocolHandler

A proposed base class for protocol handlers. This base class is to be used in conjunction with the default Mux stream handler. You are free to redefine another stream handler and use your own protocol handler interface.

See Also:
  `SampleMuxHandler`

Method Summary
`void` | `initialize(MuxSession session)` Start speaking the protocol you handle on that session.

Method Detail

### initialize

    public void initialize(MuxSession session)
                    throws java.io.IOException

  Start speaking the protocol you handle on that session. Feel free to start a thread, or whatever is needed.
  Parameters:
    `session` - The session devoted to speak your protocol.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD